Status: Closed
Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17015

Description

When I try to install QGIS (v1.7.4, v1.8 and the newest dev-version 1.9) with a Japanese Windows' user name (2byte), an error message

appears saying that Microsoft Visual C++ 2005 Redistributable can't be installed.

I think it is because the version of the runtime program (vcredist_x86.exe) is old (not SP1) and can't work with 2-byte user name.

So please include the newer runtime installer which is called SP1 in the QGIS installer.

This issue is mentioned in the site below, I am pity it is in Japanese.

http://www7a.biglobe.ne.jp/~kasachan/vcredist.html

Related issues:

Related to QGIS Application - Bug report # 8186:  Fail to make spatial index ... Closed 2013-06-27

History

#1 - 2013-06-28 11:30 PM - Minoru Akagi

This would be an issue to be discussed at OSGeo4W, but as I don't know the details, I report the result of testing here for information:

OSGeo4W includes vcredist_2005_x86.exe of the same version (6.0.3790.0) as the vcredist_x86.exe that can currently be downloaded from Microsoft. I

tried to run the installer in two accounts. It has been successfully installed in a account with ascii characters user name, but failed in another account with

Japanese user name. Then I found a way to successfully install it by using /t option.

vcredist_2005_x86.exe /q /t:c:\\vcredist_temp

#2 - 2013-06-29 03:57 AM - Jürgen Fischer

- Status changed from Open to Feedback

Right, this is a OSGeo4W issue.   Try osgeo4w-setup.exe -t, which will install msvcrt-1.0.1-8 and see if that helps.

#3 - 2013-06-29 04:02 AM - Jürgen Fischer

- Resolution set to up-/downstream

#4 - 2013-06-29 04:38 AM - Minoru Akagi

Jürgen Fischer wrote:
https://www.microsoft.com/en-us/download/details.aspx?id=5638


Right, this is a OSGeo4W issue.   Try osgeo4w-setup.exe -t, which will install msvcrt-1.0.1-8 and see if that helps.

Umm, I've just tested msvcrt-1.0.1-8. The same error seems to occur.

#5 - 2013-06-29 04:53 AM - Jürgen Fischer

Minoru Akagi wrote:

Jürgen Fischer wrote:

Right, this is a OSGeo4W issue.   Try osgeo4w-setup.exe -t, which will install msvcrt-1.0.1-8 and see if that helps.

Umm, I've just tested msvcrt-1.0.1-8. The same error seems to occur.

Retry please (remove the previously downloaded file first) and check OSGeo4W/var/log/setup.log.full.

#6 - 2013-06-29 05:03 AM - Minoru Akagi

Jürgen Fischer wrote:

Retry please (remove the previously downloaded file first) and check OSGeo4W/var/log/setup.log.full.

I tried the updated msvcrt-1.0.1-8 (timestamp is 21:00(+09:00)), but unfortunately the same error still occurs. :<

#7 - 2013-06-29 05:06 AM - Jürgen Fischer

Minoru Akagi wrote:

Jürgen Fischer wrote:

Retry please (remove the previously downloaded file first) and check OSGeo4W/var/log/setup.log.full.

I tried the updated msvcrt-1.0.1-8 (timestamp is 21:00(+09:00)), but unfortunately the same error still occurs. :<

what's the output in setup.log.full?

#8 - 2013-06-29 05:12 AM - Minoru Akagi

I just sent it to you via e-mail.

msvcrt-1.0.1-8\\etc\\postinstall\\msvcrt.bat has the following lines. TEMP includes non-ascii characters, which cause the problem.

for %f in ("%USERPROFILE") do call set USERPROFILE=%%~sf

for %f in ("%TEMP") do call set TEMP=%%~sf
"%OSGEO4W_ROOT%\\bin\\vcredist_2005_x86.exe" /q /t:%TEMP%

#9 - 2013-06-29 05:37 AM - Jürgen Fischer

Minoru Akagi wrote:

I just sent it to you via e-mail.

From another run without installing msvcrt?

#10 - 2013-06-29 08:19 AM - Jürgen Fischer

Jürgen Fischer wrote:

Minoru Akagi wrote:

I just sent it to you via e-mail.

From another run without installing msvcrt?

Ok, so the "short path name" still contains 2-byte characters.  Another approach - try again please.

#11 - 2013-06-29 08:52 AM - Minoru Akagi

Jürgen Fischer wrote:

Another approach - try again please.

I am now able to install msvcrt-1.0.1-8 in both accounts. Thank you for your wonderful work!!

#12 - 2013-06-29 09:25 AM - Jürgen Fischer

- Resolution changed from up-/downstream to fixed

- Status changed from Feedback to Closed
